org.encog.mathutil.rbf

## Class GaussianFunction

- java.lang.Object
- - org.encog.mathutil.rbf.BasicRBF
  - - org.encog.mathutil.rbf.GaussianFunction

- All Implemented Interfaces:
    Serializable, RadialBasisFunction

      public class GaussianFunction
      extends BasicRBF

  Multi-dimensional gaussian function. Do not use this to implement a 1d function, simply use GaussianFunction for that.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GaussianFunction()` Default constructor, used for reflection.
    `GaussianFunction(double peak, double[] center, double width)` Construct a multi-dimension Gaussian function with the specified peak, centers and widths.
    `GaussianFunction(double center, double peak, double width)` Construct a single-dimension Gaussian function with the specified peak, centers and widths.
    `GaussianFunction(int dimensions)` Create centered at zero, width 0, and peak 0.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `calculate(double[] x)` Calculate the result from the function.

    - ### Methods inherited from class org.encog.mathutil.rbf.BasicRBF

      `getCenter, getCenters, getDimensions, getPeak, getWidth, setCenters, setPeak, setWidth, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GaussianFunction

          public GaussianFunction()

      Default constructor, used for reflection.

    - #### GaussianFunction

          public GaussianFunction(double center,
                          double peak,
                          double width)

      Construct a single-dimension Gaussian function with the specified peak, centers and widths.
      Parameters:
        `peak` - The peak for all dimensions.
        `center` - The centers for each dimension.
        `width` - The widths for each dimension.

    - #### GaussianFunction

          public GaussianFunction(double peak,
                          double[] center,
                          double width)

      Construct a multi-dimension Gaussian function with the specified peak, centers and widths.
      Parameters:
        `peak` - The peak for all dimensions.
        `center` - The centers for each dimension.
        `width` - The widths for each dimension.

    - #### GaussianFunction

          public GaussianFunction(int dimensions)

      Create centered at zero, width 0, and peak 0.
      Parameters:
        `dimensions` - The number of dimensions.

  - ### Method Detail

    - #### calculate

          public final double calculate(double[] x)

      Calculate the result from the function.
      Parameters:
        `x` - The parameters for the function, one for each dimension.
      Returns:
        The result of the function.

Copyright © 2014. All Rights Reserved.